{% extends 'accueil-prof.html' %}

{% block head_suplementaire %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/modifier-groupe.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
{% endblock %}

{% block title %}
  <title>Modifier Groupe {{ groupe.nom }}</title>
{% endblock %}

{% block contenu_onglet %}
  <section>
    <button onClick="if(confirm('Êtes-vous sûr de vouloir supprimer ce groupe ? \nCette opération est irréversible !')){document.location.href='/groupes/supprimer/{{ groupe.id }}';}" couleur="supression"><ion-icon name="trash" size="small"></ion-icon>Supprimer</button>
    <h1>Modifier groupe : <input type="text" placeholder="Groupe XXXXX" value="{{ groupe.nom }}" form="formulaire_groupe" name="nom" maxlength="50"/></h1>
    <button onClick="afficherModal('modal1');"><ion-icon name='sync' size='small'></ion-icon>Générer automatiquement</button>
    <button couleur="validation" type="submit" onClick="envoyerFormulaire();"><ion-icon name='save' size='small'></ion-icon>Enregistrer</button>
  </section>

  <div>
    <form action="" id="formulaire_groupe" method="POST" lang="fr">
      <input type="hidden" name="personnes"/>
      <section>
        <div>
          <div couleur="button" onClick="viderGroupe();"><ion-icon name="close-circle-outline" size="small"></ion-icon>Vider</div>
          <h2>Membres du groupe</h2>
        </div>
        <ul id="ulGroupe">
          {% for pers in listeEleveGroupe %}
            <li ondblclick="enleveEtuGroupe({{ pers.id }}, this);">
              <div>
                <h4>{{ pers.nom }}</h4>
                <p>{{ pers.prenom }}</p>
              </div>
              <ion-icon onclick="enleveEtuGroupe({{ pers.id }}, this.parentNode);" size="small" name="arrow-forward-circle-outline"></ion-icon>
            </li>
          {% endfor %}
        </ul>
      </section>
    </form>

    <section>
      <h2>Étudiants inscrits</h2>
      {% include 'parts/search-etu.html' %}
      <ul id="ulDroite">
        {% for pers in listeElevePromo %}
          {% if pers not in listeEleveGroupe %}
            <li ondblclick="ajouterEtuGroupe({{ pers.id }}, this);">
              <ion-icon onclick="ajouterEtuGroupe({{ pers.id }}, this.parentNode);" size="small" name="arrow-back-circle-outline"></ion-icon>
              <div>
                <h4>{{ pers.nom }}</h4>
                <p>{{ pers.prenom }}</p>
              </div>
            </li>
          {% endif %}
        {% endfor %}
      </ul>
    </section>
  </div>

  <div id="modal1" class="modal">
    <section>
      <section>
        <button onclick="closeModal();"><ion-icon name="close" size="small"></ion-icon></button>
        <h2>Nombre d'étudiants dans le groupe</h2>
        <button couleur='validation' onclick="genererGroupe(this);"><ion-icon name="checkmark-circle-outline" size="small"></ion-icon>Valider</button>
      </section>
      <input type="number" value="2" min="1" />
    </section>
  </div>

  <script type="text/javascript" src="{{ url_for('static', filename='js/modifier-groupe.js') }}"></script>
<script type="text/javascript">
    let listePersDansGroupe = [];
    {% if listeEleveGroupe %}
      {% for etu in listeEleveGroupe %}
        listePersDansGroupe.push([{{ etu.id }}, "{{ etu.prenom }}", "{{ etu.nom }}", {% if etu.groupes|length > 1 %} "promo" {% else %} "aucun groupe" {% endif %}]);
      {% endfor %}
    {% endif %}

    let listePersDansPromo = [];
    {% if listeElevePromo %}
      {% for etu in listeElevePromo %}
        {% if etu not in listeEleveGroupe %}
          listePersDansPromo.push([{{ etu.id }}, "{{ etu.prenom }}", "{{ etu.nom }}", "promo"]);
        {% endif %}
      {% endfor %}
    {% endif %}

    let listePersDansAucunGroupe = [];
    {% if listeEleveDansAucunGroupe %}
      {% for etu in listeEleveDansAucunGroupe %}
        listePersDansAucunGroupe.push([{{ etu.id }}, "{{ etu.prenom }}", "{{ etu.nom }}", "aucun groupe"]);
      {% endfor %}
    {% endif %}

    majNombreEtudiantsDansListes();
  </script>
<script type="text/javascript" src="{{ url_for('static', filename='js/modal.js') }}"></script>
{% endblock %}
